package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TOrderFeedback;

/**
 * 工单反馈信息Mapper接口
 * 
 * @author zehong
 * @date 2021-07-19
 */
public interface TOrderFeedbackMapper 
{
    /**
     * 查询工单反馈信息
     * 
     * @param feedbackId 工单反馈信息ID
     * @return 工单反馈信息
     */
    public TOrderFeedback selectTOrderFeedbackById(int feedbackId);

    /**
     * 查询工单反馈信息列表
     * 
     * @param orderId 工单信息id
     * @return 工单反馈信息集合
     */
    public List<TOrderFeedback> selectTOrderFeedbackByOrderId(String orderId);

    /**
     * 查询工单反馈信息列表
     *
     * @param tOrderFeedback 工单反馈信息
     * @return 工单反馈信息集合
     */
    public List<TOrderFeedback> selectTOrderFeedbackList(TOrderFeedback tOrderFeedback);

    /**
     * 新增工单反馈信息
     * 
     * @param tOrderFeedback 工单反馈信息
     * @return 结果
     */
    public int insertTOrderFeedback(TOrderFeedback tOrderFeedback);

    /**
     * 修改工单反馈信息
     * 
     * @param tOrderFeedback 工单反馈信息
     * @return 结果
     */
    public int updateTOrderFeedback(TOrderFeedback tOrderFeedback);

    /**
     * 删除工单反馈信息
     * 
     * @param feedbackId 工单反馈信息ID
     * @return 结果
     */
    public int deleteTOrderFeedbackById(int feedbackId);

    /**
     * 批量删除工单反馈信息
     * 
     * @param feedbackIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTOrderFeedbackByIds(int[] feedbackIds);
}
